#ifndef INCL_XDISPLAY_H
#define INCL_XDISPLAY_H

/*-----------------------------------------------------------------------
 * Xclasses header file
 * 
 * Copyright (C) 1998 Jürgen Schmitz
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 *-----------------------------------------------------------------------
 */

#include <Xclasses/types.h>
#include <Xclasses/Xclasses_class.h>

class Xdisplay : public Xclasses
{
	friend class pXdisplay;

	class pXdisplay *p;
public:
    Xdisplay();
    Xdisplay(char *dsp);
    Xdisplay(int &argc,char *argv[]);
    virtual ~Xdisplay(void);

    int Init(char *dsp);
    int Init(int &argc,char *argv[]);
    void Close(void);

    Display *display(void);
    int screen(void);
    Window rootwindow(void);
    char *DisplayName(void);
};

#endif
